# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (view full)

- default
  - default

- Defined in src/ui/starter-select-ui-handler.ts:154

#####
Index

### Constructors

constructor

### Properties

abilityCursor
active
assetLoadCancelled
awaitingActionInput
blockInput
canAddParty
canCycleAbility
canCycleForm
canCycleGender
canCycleNature
canCycleShiny
canCycleVariant
candyUpgradeIcon
candyUpgradeOverlayIcon
classicWinIcons
cursor
cursorObj
dexAttrCursor
genCursor
genCursorHighlightObj
genCursorObj
genMode
genOptionsText
genScrollCursor
genSpecies
hiddenAbilityIcons
iconAnimHandler
instructionsText
lastSpecies
message
mode
moveInfoOverlay
natureCursor
onActionInput
pendingPrompt
pokemonAbilityLabelText
pokemonAbilityText
pokemonAdditionalMoveCountLabel
pokemonCandyCountText
pokemonCandyDarknessOverlay
pokemonCandyIcon
pokemonCandyOverlayIcon
pokemonCaughtCountText
pokemonCaughtHatchedContainer
pokemonEggMoveBgs
pokemonEggMoveContainers
pokemonEggMoveLabels
pokemonEggMovesContainer
pokemonFormText
pokemonGenderText
pokemonGrowthRateLabelText
pokemonGrowthRateText
pokemonHatchedCountText
pokemonLuckLabelText
pokemonLuckText
pokemonMoveBgs
pokemonMoveContainers
pokemonMoveLabels
pokemonMovesContainer
pokemonNameText
pokemonNatureLabelText
pokemonNatureText
pokemonNumberText
pokemonPassiveLabelText
pokemonPassiveText
pokemonSprite
pokemonUncaughtText
pokerusCursorObjs
pokerusCursors
pokerusGens
prompt
scene
shinyIcons
shinyOverlay
speciesLoaded
speciesStarterDexEntry
speciesStarterMoves
startCursorObj
starterAbilityIndexes
starterAttr
starterCursorObjs
starterCursors
starterGens
starterIcons
starterMoveset
starterMovesets
starterNatures
starterSelectCallback
starterSelectContainer
starterSelectGenIconContainers
starterSelectMessageBox
starterSelectMessageBoxContainer
starterValueLabels
statsContainer
statsMode
textCallbackTimer
textTimer
tutorialActive
type1Icon
type2Icon
value
valueLimitLabel

### Methods

checkIconId
clear
clearText
getCursor
getGenCursorWithScroll
getTextColor
getUi
getValueLimit
isPassiveAvailable
isUpgradeAnimationEnabled
isUpgradeIconEnabled
isValueReductionAvailable
onCandyUpgradeDisplayChanged
popStarter
processInput
processTutorialInput
setCursor
setGenMode
setSpecies
setSpeciesDetails
setTypeIcons
setUpgradeAnimation
setUpgradeIcon
setup
show
showDialogue
showPrompt
showStats
showText
switchMoveHandler
toggleStatsMode
tryStart
tryUpdateValue
updateGenOptions
updateInstructions
updateStarterValueLabel

## Constructors

### constructor

- new default(scene): default

- #### Parameters

  - scene: default

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/starter-select-ui-handler.ts:252

## Properties

### `Private` abilityCursor

abilityCursor: number = -1

- Defined in src/ui/starter-select-ui-handler.ts:202

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Private` assetLoadCancelled

assetLoadCancelled: BooleanHolder

- Defined in src/ui/starter-select-ui-handler.ts:230

### `Protected` awaitingActionInput

awaitingActionInput: boolean

Inherited from default.awaitingActionInput

- Defined in src/ui/awaitable-ui-handler.ts:7

### `Protected` blockInput

blockInput: boolean = false

- Defined in src/ui/starter-select-ui-handler.ts:250

### `Private` canAddParty

canAddParty: boolean

- Defined in src/ui/starter-select-ui-handler.ts:228

### `Private` canCycleAbility

canCycleAbility: boolean

- Defined in src/ui/starter-select-ui-handler.ts:224

### `Private` canCycleForm

canCycleForm: boolean

- Defined in src/ui/starter-select-ui-handler.ts:222

### `Private` canCycleGender

canCycleGender: boolean

- Defined in src/ui/starter-select-ui-handler.ts:223

### `Private` canCycleNature

canCycleNature: boolean

- Defined in src/ui/starter-select-ui-handler.ts:225

### `Private` canCycleShiny

canCycleShiny: boolean

- Defined in src/ui/starter-select-ui-handler.ts:221

### `Private` canCycleVariant

canCycleVariant: boolean

- Defined in src/ui/starter-select-ui-handler.ts:226

### `Private` candyUpgradeIcon

candyUpgradeIcon: Image[]

- Defined in src/ui/starter-select-ui-handler.ts:243

### `Private` candyUpgradeOverlayIcon

candyUpgradeOverlayIcon: Image[]

- Defined in src/ui/starter-select-ui-handler.ts:244

### `Private` classicWinIcons

classicWinIcons: Image[]

- Defined in src/ui/starter-select-ui-handler.ts:242

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### cursorObj

cursorObj: Image

- Defined in src/ui/starter-select-ui-handler.ts:231

### `Private` dexAttrCursor

dexAttrCursor: bigint = ...

- Defined in src/ui/starter-select-ui-handler.ts:201

### `Private` genCursor

genCursor: number = 0

- Defined in src/ui/starter-select-ui-handler.ts:204

### `Private` genCursorHighlightObj

genCursorHighlightObj: Image

- Defined in src/ui/starter-select-ui-handler.ts:236

### `Private` genCursorObj

genCursorObj: Image

- Defined in src/ui/starter-select-ui-handler.ts:235

### `Private` genMode

genMode: boolean

- Defined in src/ui/starter-select-ui-handler.ts:199

### `Private` genOptionsText

genOptionsText: Text

- Defined in src/ui/starter-select-ui-handler.ts:191

### `Private` genScrollCursor

genScrollCursor: number = 0

- Defined in src/ui/starter-select-ui-handler.ts:205

### `Private` genSpecies

genSpecies: default [][] = []

- Defined in src/ui/starter-select-ui-handler.ts:208

### `Private` hiddenAbilityIcons

hiddenAbilityIcons: Image[]

- Defined in src/ui/starter-select-ui-handler.ts:241

### `Private` iconAnimHandler

iconAnimHandler: default

- Defined in src/ui/starter-select-ui-handler.ts:246

### `Private` instructionsText

instructionsText: Text

- Defined in src/ui/starter-select-ui-handler.ts:192

### `Private` lastSpecies

lastSpecies: default

- Defined in src/ui/starter-select-ui-handler.ts:209

### message

message: Text

Inherited from default.message

- Defined in src/ui/message-ui-handler.ts:11

### `Protected` mode

mode: number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Private` moveInfoOverlay

moveInfoOverlay: default

- Defined in src/ui/starter-select-ui-handler.ts:197

### `Private` natureCursor

natureCursor: number = -1

- Defined in src/ui/starter-select-ui-handler.ts:203

### `Protected` onActionInput

onActionInput: Function

Inherited from default.onActionInput

- Defined in src/ui/awaitable-ui-handler.ts:8

### pendingPrompt

pendingPrompt: boolean

Inherited from default.pendingPrompt

- Defined in src/ui/message-ui-handler.ts:9

### `Private` pokemonAbilityLabelText

pokemonAbilityLabelText: Text

- Defined in src/ui/starter-select-ui-handler.ts:169

### `Private` pokemonAbilityText

pokemonAbilityText: Text

- Defined in src/ui/starter-select-ui-handler.ts:170

### `Private` pokemonAdditionalMoveCountLabel

pokemonAdditionalMoveCountLabel: Text

- Defined in src/ui/starter-select-ui-handler.ts:179

### `Private` pokemonCandyCountText

pokemonCandyCountText: Text

- Defined in src/ui/starter-select-ui-handler.ts:187

### `Private` pokemonCandyDarknessOverlay

pokemonCandyDarknessOverlay: Sprite

- Defined in src/ui/starter-select-ui-handler.ts:185

### `Private` pokemonCandyIcon

pokemonCandyIcon: Sprite

- Defined in src/ui/starter-select-ui-handler.ts:184

### `Private` pokemonCandyOverlayIcon

pokemonCandyOverlayIcon: Sprite

- Defined in src/ui/starter-select-ui-handler.ts:186

### `Private` pokemonCaughtCountText

pokemonCaughtCountText: Text

- Defined in src/ui/starter-select-ui-handler.ts:189

### `Private` pokemonCaughtHatchedContainer

pokemonCaughtHatchedContainer: Container

- Defined in src/ui/starter-select-ui-handler.ts:188

### `Private` pokemonEggMoveBgs

pokemonEggMoveBgs: NineSlice[]

- Defined in src/ui/starter-select-ui-handler.ts:182

### `Private` pokemonEggMoveContainers

pokemonEggMoveContainers: Container[]

- Defined in src/ui/starter-select-ui-handler.ts:181

### `Private` pokemonEggMoveLabels

pokemonEggMoveLabels: Text[]

- Defined in src/ui/starter-select-ui-handler.ts:183

### `Private` pokemonEggMovesContainer

pokemonEggMovesContainer: Container

- Defined in src/ui/starter-select-ui-handler.ts:180

### `Private` pokemonFormText

pokemonFormText: Text

- Defined in src/ui/starter-select-ui-handler.ts:196

### `Private` pokemonGenderText

pokemonGenderText: Text

- Defined in src/ui/starter-select-ui-handler.ts:167

### `Private` pokemonGrowthRateLabelText

pokemonGrowthRateLabelText: Text

- Defined in src/ui/starter-select-ui-handler.ts:161

### `Private` pokemonGrowthRateText

pokemonGrowthRateText: Text

- Defined in src/ui/starter-select-ui-handler.ts:162

### `Private` pokemonHatchedCountText

pokemonHatchedCountText: Text

- Defined in src/ui/starter-select-ui-handler.ts:190

### `Private` pokemonLuckLabelText

pokemonLuckLabelText: Text

- Defined in src/ui/starter-select-ui-handler.ts:165

### `Private` pokemonLuckText

pokemonLuckText: Text

- Defined in src/ui/starter-select-ui-handler.ts:166

### `Private` pokemonMoveBgs

pokemonMoveBgs: NineSlice[]

- Defined in src/ui/starter-select-ui-handler.ts:177

### `Private` pokemonMoveContainers

pokemonMoveContainers: Container[]

- Defined in src/ui/starter-select-ui-handler.ts:176

### `Private` pokemonMoveLabels

pokemonMoveLabels: Text[]

- Defined in src/ui/starter-select-ui-handler.ts:178

### `Private` pokemonMovesContainer

pokemonMovesContainer: Container

- Defined in src/ui/starter-select-ui-handler.ts:175

### `Private` pokemonNameText

pokemonNameText: Text

- Defined in src/ui/starter-select-ui-handler.ts:160

### `Private` pokemonNatureLabelText

pokemonNatureLabelText: Text

- Defined in src/ui/starter-select-ui-handler.ts:173

### `Private` pokemonNatureText

pokemonNatureText: BBCodeText

- Defined in src/ui/starter-select-ui-handler.ts:174

### `Private` pokemonNumberText

pokemonNumberText: Text

- Defined in src/ui/starter-select-ui-handler.ts:158

### `Private` pokemonPassiveLabelText

pokemonPassiveLabelText: Text

- Defined in src/ui/starter-select-ui-handler.ts:171

### `Private` pokemonPassiveText

pokemonPassiveText: Text

- Defined in src/ui/starter-select-ui-handler.ts:172

### `Private` pokemonSprite

pokemonSprite: Sprite

- Defined in src/ui/starter-select-ui-handler.ts:159

### `Private` pokemonUncaughtText

pokemonUncaughtText: Text

- Defined in src/ui/starter-select-ui-handler.ts:168

### `Private` pokerusCursorObjs

pokerusCursorObjs: Image[]

- Defined in src/ui/starter-select-ui-handler.ts:233

### `Private` pokerusCursors

pokerusCursors: number[] = []

- Defined in src/ui/starter-select-ui-handler.ts:214

### `Private` pokerusGens

pokerusGens: number[] = []

- Defined in src/ui/starter-select-ui-handler.ts:213

### prompt

prompt: Sprite

Inherited from default.prompt

- Defined in src/ui/message-ui-handler.ts:12

### `Protected` scene

scene: default

Inherited from default.scene

- Defined in src/ui/ui-handler.ts:10

### `Private` shinyIcons

shinyIcons: Image[][]

- Defined in src/ui/starter-select-ui-handler.ts:240

### `Private` shinyOverlay

shinyOverlay: Image

- Defined in src/ui/starter-select-ui-handler.ts:156

### `Private` speciesLoaded

speciesLoaded: Map< Species , boolean> = ...

- Defined in src/ui/starter-select-ui-handler.ts:210

### `Private` speciesStarterDexEntry

speciesStarterDexEntry: DexEntry

- Defined in src/ui/starter-select-ui-handler.ts:219

### `Private` speciesStarterMoves

speciesStarterMoves: Moves []

- Defined in src/ui/starter-select-ui-handler.ts:220

### `Private` startCursorObj

startCursorObj: NineSlice

- Defined in src/ui/starter-select-ui-handler.ts:238

### `Private` starterAbilityIndexes

starterAbilityIndexes: number[] = []

- Defined in src/ui/starter-select-ui-handler.ts:216

### `Private` starterAttr

starterAttr: bigint[] = []

- Defined in src/ui/starter-select-ui-handler.ts:215

### `Private` starterCursorObjs

starterCursorObjs: Image[]

- Defined in src/ui/starter-select-ui-handler.ts:232

### starterCursors

starterCursors: number[] = []

- Defined in src/ui/starter-select-ui-handler.ts:212

### starterGens

starterGens: number[] = []

- Defined in src/ui/starter-select-ui-handler.ts:211

### `Private` starterIcons

starterIcons: Sprite[]

- Defined in src/ui/starter-select-ui-handler.ts:234

### `Private` starterMoveset

starterMoveset: StarterMoveset

- Defined in src/ui/starter-select-ui-handler.ts:206

### `Private` starterMovesets

starterMovesets: StarterMoveset [] = []

- Defined in src/ui/starter-select-ui-handler.ts:218

### `Private` starterNatures

starterNatures: Nature [] = []

- Defined in src/ui/starter-select-ui-handler.ts:217

### `Private` starterSelectCallback

starterSelectCallback: StarterSelectCallback

- Defined in src/ui/starter-select-ui-handler.ts:248

### `Private` starterSelectContainer

starterSelectContainer: Container

- Defined in src/ui/starter-select-ui-handler.ts:155

### `Private` starterSelectGenIconContainers

starterSelectGenIconContainers: Container[]

- Defined in src/ui/starter-select-ui-handler.ts:157

### `Private` starterSelectMessageBox

starterSelectMessageBox: NineSlice

- Defined in src/ui/starter-select-ui-handler.ts:193

### `Private` starterSelectMessageBoxContainer

starterSelectMessageBoxContainer: Container

- Defined in src/ui/starter-select-ui-handler.ts:194

### `Private` starterValueLabels

starterValueLabels: Text[]

- Defined in src/ui/starter-select-ui-handler.ts:239

### `Private` statsContainer

statsContainer: StatsContainer

- Defined in src/ui/starter-select-ui-handler.ts:195

### `Private` statsMode

statsMode: boolean

- Defined in src/ui/starter-select-ui-handler.ts:200

### `Protected` textCallbackTimer

textCallbackTimer: TimerEvent

Inherited from default.textCallbackTimer

- Defined in src/ui/message-ui-handler.ts:8

### `Protected` textTimer

textTimer: TimerEvent

Inherited from default.textTimer

- Defined in src/ui/message-ui-handler.ts:7

### tutorialActive

tutorialActive: boolean = false

Inherited from default.tutorialActive

- Defined in src/ui/awaitable-ui-handler.ts:9

### `Private` type1Icon

type1Icon: Sprite

- Defined in src/ui/starter-select-ui-handler.ts:163

### `Private` type2Icon

type2Icon: Sprite

- Defined in src/ui/starter-select-ui-handler.ts:164

### `Private` value

value: number = 0

- Defined in src/ui/starter-select-ui-handler.ts:227

### `Private` valueLimitLabel

valueLimitLabel: Text

- Defined in src/ui/starter-select-ui-handler.ts:237

## Methods

### checkIconId

- checkIconId(icon, species, female, formIndex, shiny, variant): void

- #### Parameters

  - icon: Sprite
  - species: default
  - female: any
  - formIndex: any
  - shiny: any
  - variant: any

  #### Returns void

  - Defined in src/ui/starter-select-ui-handler.ts:2294

### clear

- clear(): void

- #### Returns void

  Overrides default.clear

  - Defined in src/ui/starter-select-ui-handler.ts:2279

### clearText

- clearText(): void

- #### Returns void

  Overrides default.clearText

  - Defined in src/ui/starter-select-ui-handler.ts:2274

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:42

### getGenCursorWithScroll

- getGenCursorWithScroll(): number

- #### Returns number

  - Defined in src/ui/starter-select-ui-handler.ts:1632

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:34

### getValueLimit

- getValueLimit(): number

- #### Returns number

  - Defined in src/ui/starter-select-ui-handler.ts:1529

### isPassiveAvailable

- isPassiveAvailable(speciesId): boolean

- Determines if a passive upgrade is available for the given species ID

  #### Parameters

  - speciesId: number

    The ID of the species to check the passive of

  #### Returns boolean

  true if the user has enough candies and a passive has not been unlocked already

  - Defined in src/ui/starter-select-ui-handler.ts:796

### isUpgradeAnimationEnabled

- isUpgradeAnimationEnabled(): boolean

- Determines if 'Animation' based upgrade notifications should be shown

  #### Returns boolean

  true if upgrade notifications are enabled and set to display an 'Animation'

  - Defined in src/ui/starter-select-ui-handler.ts:787

### isUpgradeIconEnabled

- isUpgradeIconEnabled(): boolean

- Determines if 'Icon' based upgrade notifications should be shown

  #### Returns boolean

  true if upgrade notifications are enabled and set to display an 'Icon'

  - Defined in src/ui/starter-select-ui-handler.ts:780

### isValueReductionAvailable

- isValueReductionAvailable(speciesId): boolean

- Determines if a value reduction upgrade is available for the given species ID

  #### Parameters

  - speciesId: number

    The ID of the species to check the value reduction of

  #### Returns boolean

  true if the user has enough candies and all value reductions have not been unlocked already

  - Defined in src/ui/starter-select-ui-handler.ts:809

### onCandyUpgradeDisplayChanged

- onCandyUpgradeDisplayChanged(event): void

- Processes an `CandyUpgradeNotificationChangedEvent` sent when the corresponding setting changes

  #### Parameters

  - event: Event

    Event sent by the callback

  #### Returns void

  - Defined in src/ui/starter-select-ui-handler.ts:906

### popStarter

- popStarter(): void

- #### Returns void

  - Defined in src/ui/starter-select-ui-handler.ts:2104

### processInput

- processInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Overrides default.processInput

  - Defined in src/ui/starter-select-ui-handler.ts:931

### processTutorialInput

- processTutorialInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Inherited from default.processTutorialInput

  - Defined in src/ui/awaitable-ui-handler.ts:15

### setCursor

- setCursor(cursor): boolean

- #### Parameters

  - cursor: number

  #### Returns boolean

  Overrides default.setCursor

  - Defined in src/ui/starter-select-ui-handler.ts:1545

### setGenMode

- setGenMode(genMode): boolean

- #### Parameters

  - genMode: boolean

  #### Returns boolean

  - Defined in src/ui/starter-select-ui-handler.ts:1654

### setSpecies

- setSpecies(species): void

- #### Parameters

  - species: default

  #### Returns void

  - Defined in src/ui/starter-select-ui-handler.ts:1672

### setSpeciesDetails

- setSpeciesDetails(species, shiny, formIndex, female, variant, abilityIndex, natureIndex, forSeen?): void

- #### Parameters

  - species: default
  - shiny: boolean
  - formIndex: number
  - female: boolean
  - variant: Variant
  - abilityIndex: number
  - natureIndex: number
  - forSeen: boolean = false

  #### Returns void

  - Defined in src/ui/starter-select-ui-handler.ts:1864

### setTypeIcons

- setTypeIcons(type1, type2): void

- #### Parameters

  - type1: Type
  - type2: Type

  #### Returns void

  - Defined in src/ui/starter-select-ui-handler.ts:2089

### setUpgradeAnimation

- setUpgradeAnimation(icon, species, startPaused?): void

- Sets a bounce animation if enabled and the Pokemon has an upgrade

  #### Parameters

  - icon: Sprite

    Phaser.GameObjects.GameObject to animate

  - species: default

    `PokemonSpecies` of the icon used to check for upgrades

  - startPaused: boolean = false

    Should this animation be paused after it is added?

  #### Returns void

  - Defined in src/ui/starter-select-ui-handler.ts:823

### setUpgradeIcon

- setUpgradeIcon(index): void

- Sets the visibility of a Candy Upgrade Icon given an index

  #### Parameters

  - index: number

    The UI index of the icon within this generation container

  #### Returns void

  - Defined in src/ui/starter-select-ui-handler.ts:874

### setup

- setup(): void

- #### Returns void

  Overrides default.setup

  - Defined in src/ui/starter-select-ui-handler.ts:256

### show

- show(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/starter-select-ui-handler.ts:725

### showDialogue

- showDialogue(text, name, delay?, callback?, callbackDelay?, prompt?, promptDelay?): void

- #### Parameters

  - text: string
  - name: string
  - `Optional` delay: number
  - `Optional` callback: Function
  - `Optional` callbackDelay: number
  - `Optional` prompt: boolean
  - `Optional` promptDelay: number

  #### Returns void

  Inherited from default.showDialogue

  - Defined in src/ui/message-ui-handler.ts:24

### showPrompt

- showPrompt(callback, callbackDelay): void

- #### Parameters

  - callback: Function
  - callbackDelay: number

  #### Returns void

  Inherited from default.showPrompt

  - Defined in src/ui/message-ui-handler.ts:154

### showStats

- showStats(): void

- #### Returns void

  - Defined in src/ui/starter-select-ui-handler.ts:2264

### showText

- showText(text, delay?, callback?, callbackDelay?, prompt?, promptDelay?): void

- #### Parameters

  - text: string
  - `Optional` delay: number
  - `Optional` callback: Function
  - `Optional` callbackDelay: number
  - `Optional` prompt: boolean
  - `Optional` promptDelay: number

  #### Returns void

  Overrides default.showText

  - Defined in src/ui/starter-select-ui-handler.ts:762

### switchMoveHandler

- switchMoveHandler(i, newMove, move): void

- #### Parameters

  - i: number
  - newMove: Moves
  - move: Moves

  #### Returns void

  - Defined in src/ui/starter-select-ui-handler.ts:1454

### toggleStatsMode

- toggleStatsMode(on?): void

- #### Parameters

  - `Optional` on: boolean

  #### Returns void

  - Defined in src/ui/starter-select-ui-handler.ts:2248

### tryStart

- tryStart(manualTrigger?): boolean

- #### Parameters

  - manualTrigger: boolean = false

  #### Returns boolean

  - Defined in src/ui/starter-select-ui-handler.ts:2205

### tryUpdateValue

- tryUpdateValue(add?): boolean

- #### Parameters

  - `Optional` add: number

  #### Returns boolean

  - Defined in src/ui/starter-select-ui-handler.ts:2143

### updateGenOptions

- updateGenOptions(): void

- #### Returns void

  - Defined in src/ui/starter-select-ui-handler.ts:1638

### updateInstructions

- updateInstructions(): void

- #### Returns void

  - Defined in src/ui/starter-select-ui-handler.ts:1488

### updateStarterValueLabel

- updateStarterValueLabel(cursor): void

- #### Parameters

  - cursor: number

  #### Returns void

  - Defined in src/ui/starter-select-ui-handler.ts:2117